OGRE: Ogre::TransformBaseReal Struct Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::TransformBaseReal Struct Reference
Core » Math

`#include <OgreMatrix4.h>`

Inheritance diagram for Ogre::TransformBaseReal:
[legend]

## Public Member Functions
| TransformBaseReal ()
| Do NOT initialize for efficiency.
template<typename U>
| TransformBaseReal (const U *ptr)
Real | determinant () const
void | extract3x3Matrix (Matrix3 &m3x3) const
Quaternion | extractQuaternion () const
Matrix3 | linear () const
| Extracts the rotation / scaling part of the Matrix as a 3x3 matrix.
void | makeInverseTransform (const Vector3 &position, const Vector3 &scale, const Quaternion &orientation)
| Building an inverse Affine3 from orientation / scale / position.
void | makeTrans (const Vector3 &v)
| Builds a translation matrix.
void | makeTrans (Real tx, Real ty, Real tz)
void | makeTransform (const Vector3 &position, const Vector3 &scale, const Quaternion &orientation)
| Building a Affine3 from orientation / scale / position.
void | set3x3Matrix (const Matrix3 &mat3)
| Assignment from 3x3 matrix.
Matrix4 | transpose () const
Public Member Functions inherited from Ogre::TransformBase< 4, Real >
| TransformBase ()
| Do NOT initialize for efficiency.
Vector< 3, Real > | getTrans () const
| Extracts the translation transformation part of the matrix.
Real * | operator[] (size_t iRow)
void | setScale (const Vector< 3, Real > &v)
| Sets the scale part of the matrix.
void | setTrans (const Vector< 3, Real > &v)
| Sets the translation transformation part of the matrix.

## Constructor & Destructor Documentation

## ◆ TransformBaseReal() [1/2]

Ogre::TransformBaseReal::TransformBaseReal | ( |  | ) |
| inline

Do NOT initialize for efficiency.

Referenced by Ogre::Matrix4::Matrix4().

## ◆ TransformBaseReal() [2/2]

template<typename U>

Ogre::TransformBaseReal::TransformBaseReal | ( | const U * | ptr | ) |
| inlineexplicit

References Ogre::TransformBase< 4, Real >::TransformBase().

## Member Function Documentation

## ◆ makeTrans() [1/2]

void Ogre::TransformBaseReal::makeTrans | ( | const Vector3 & | v | ) |
| inline

Builds a translation matrix.

References makeTrans().

Referenced by makeTrans().

## ◆ makeTrans() [2/2]

void Ogre::TransformBaseReal::makeTrans | ( | Real | tx,
|  | Real | ty,
|  | Real | tz )
| inline

## ◆ set3x3Matrix()

void Ogre::TransformBaseReal::set3x3Matrix | ( | const Matrix3 & | mat3 | ) |
| inline

Assignment from 3x3 matrix.

Referenced by Ogre::Affine3::operator=(), and Ogre::Matrix4::operator=().

## ◆ linear()

Matrix3 Ogre::TransformBaseReal::linear | ( |  | ) | const
| inline

Extracts the rotation / scaling part of the Matrix as a 3x3 matrix.

Referenced by extract3x3Matrix(), and extractQuaternion().

## ◆ extract3x3Matrix()

void Ogre::TransformBaseReal::extract3x3Matrix | ( | Matrix3 & | m3x3 | ) | const
| inline

References linear().

## ◆ extractQuaternion()

Quaternion Ogre::TransformBaseReal::extractQuaternion | ( |  | ) | const
| inline

References linear().

## ◆ determinant()

Real Ogre::TransformBaseReal::determinant | ( |  | ) | const

References transpose().

## ◆ makeTransform()

void Ogre::TransformBaseReal::makeTransform | ( | const Vector3 & | position,
|  | const Vector3 & | scale,
|  | const Quaternion & | orientation )

Building a Affine3 from orientation / scale / position.

Transform is performed in the order scale, rotate, translation, i.e. translation is independent of orientation axes, scale does not affect size of translation, rotation and scaling are always centered on the origin.

Referenced by Ogre::Affine3::Affine3().

## ◆ makeInverseTransform()

void Ogre::TransformBaseReal::makeInverseTransform | ( | const Vector3 & | position,
|  | const Vector3 & | scale,
|  | const Quaternion & | orientation )

Building an inverse Affine3 from orientation / scale / position.

As makeTransform except it build the inverse given the same data as makeTransform, so performing -translation, -rotate, 1/scale in that order.

The documentation for this struct was generated from the following file:

- OgreMatrix4.h